IRQTOP(1)

BEZEICHNUNG
irqtop - Anzeigen von Informationen zu Kernel-Interrupts

ÜBERSICHT

irqtop [Optionen]

BESCHREIBUNG

Zeigt Informationen zum Kernel-Interrupt-Zähler im Stil von top(1) an.

Die standardmäßige Ausgabe kann sich ändern. Daher sollten Sie vermeiden, standardmäßige Ausgaben in Ihren Skripten zu verwenden, wo immer es möglich ist. Definieren Sie stets die erwarteten Spalten, indem Sie die Option --output angeben.

OPTIONEN

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Die Vorgabeliste der Spalten kann erweitert werden, falls die Liste im Format +Liste angegeben ist.

-b, --batch
    schreibt die erstellten Tabellen in die Standardausgabe statt auf einen statischen Bildschirm. Auf diese Weise kann die Ausgabe an ein anderes Programm übergeben oder in eine Datei geschrieben werden,

-c, --cpu-stat wann
    legt fest, ob die Statistiken pro CPU angezeigt werden sollen. Mögliche Argumente sind: auto, never, always. Standardmäßig ist auto eingestellt: Die Statistiken pro CPU werden angezeigt, wenn das Fenster breit genug für die vollständige CPU-Liste ist.

-C, --cpu-list Liste
    zeigt CPUs im Listenformat an.

-d, --delay Sekunden
    aktualisiert die Tabellen in Abständen der hier angegebenen Sekunden.

-J, --json
    verwendet das JSON-Ausgabeformat. Dies impliziert --batch.

-n, --iter Anzahl
    gibt die maximale Anzahl an Durchläufen vor dem Beenden an.

-s, --sort Spalte
    gibt die Sortierkriterien nach Spaltenname an. Siehe die Ausgabe von --help für die Spaltennamen. Im interaktiven Modus können die Sortierkriterien geändert werden.

-S, --softirq
    zeigt Informationen zu Softirqs an.

-t, --threshold Minimum
    zeigt nur IRQs mit Zählern oberhalb des angegebenen Minimalwerts. Menschenlesbare Werte werden hierbei unterstützt (z.B. 1.2K).

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

UMGEBUNGSVARIABLEN

LIBSMARTCOLS_DEBUG=all
    aktiviert die Debug-Ausgabe für libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    verwendet sichtbare Auffüllzeichen.

TASTATURBEFEHLE IM INTERAKTIVEN MODUS

i
    sortiert nach IRQ-Kurzname oder Nummer-Feld

t
    sortiert nach Gesamtanzahl der Interrupts (Vorgabe)

d
    sortiert nach der Änderung der Anzahl der Interrupts

n
    sortiert nach dem Feld mit der Langbeschreibung

q Q
    bricht die Aktualisierung ab und beendet das Programm

AUTOREN

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl irqtop ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.